import requests
from flask_login import AnonymousUserMixin
from spaceauth.caps import cap_check
from webapp import models

class AnonymousUser(AnonymousUserMixin):
    is_admin = False

class User(object):
    def __init__(self, username):
        self.username = username.lower().strip()

    @property
    def is_authenticated(self):
        return True

    @property
    def is_active(self):
        return True

    @property
    def is_anonymous(self):
        return False

    def get_id(self):
        return self.username

    @property
    def is_admin(self):
        return cap_check('kasownik_access', self.username)

    def get_model(self, deep=True):
        return models.Member.get_members(deep) \
            .filter_by(username=self.username).first()
